Home/Support/Support Forum/Add Greengrass 1.3.0 to yocto image
Welcome to Digi Forum, where you can ask questions and receive answers from other members of the community.

Add Greengrass 1.3.0 to yocto image

0 votes
Hi,

I was trying to add the Greengrass core software to yocto image, however, amazon just released the version 1.3.0 and it seems it is not compatible with the meta-digi recipe for aws. The compiler tries to unpack the software core from the tarball folder for the version 1.0.0, which is not the version that I can download from AWS software packages.

Is there any other way to change the greengrass_1.0.0.bb to use the new version?

Note: I have tried changing the filename and greengrass recipe, but it returns bad checksum.

/Rafael
asked Nov 30, 2017 in Linux by rafaelmontano New to the Community (2 points)

Please log in or register to answer this question.

4 Answers

+1 vote
General Greengrass Amazon IoT integration into Yocto is documented here:
https://www.digi.com/resources/documentation/digidocs/90001547/#concept/t_aws_iot.htm
support for the new version will be added in future releases of DEY. For now please stick to the supported version.
answered Nov 30, 2017 by LeonidM Veteran of the Digi Community (3,170 points)
0 votes
Hi,
Thanks for your answer.
I actually forgot to mention that I could not find a way to download another Greengrass different of the latest released by Amazon, at least with my AWS account I can only download the 1.3.0 or the 1.1.0 downloaded before the release.
/Rafael
answered Dec 1, 2017 by rafaelmontano New to the Community (2 points)
can you try to rename the tarball to match what compiler expects?
0 votes
Hi Rafael,

Unfortunately AWS removes older Greengrass downloads as soon as they release the new version, and they do not provide early warning to partners regarding new releases.
We are actively engaged with AWS trying to find a solution for this.

Digi is just about to release a new Digi Embedded Yocto release, dey-2.2-r3, but unfortunately this updates Greengrass to the 1.1.0 version as the 1.3.0 release happened just a couple of weeks ago. The next Greengrass update will have to wait until the next release in 3/4 months.

I suggest you contact Digi support by email and we will send you a patch for the 1.3.0 update as soon as it's ready, even before it's officially released with DEY.

Until then, please develop using the 1.1.0 version.

Regards,
Alex
answered Dec 15, 2017 by alexgg Community Contributor (71 points)
0 votes
Hello,

I am in the same predicament and have sent an email to Digi support. In particular, I want to bitbake the "dey-image-aws" image with extra features but can only download AWS Greengrass 1.3.0.

Does anyone know when this image will be updated to support Greengrass 1.3.0?

Finally, has anyone done a workaround / patch as renaming the file doesn't solve the problem?

Regards,
Jerry
answered Mar 15, 2018 by gpyluk New to the Community (1 point)
...